Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLStateCache Class Reference

`#include <vtkOpenGLStateCache.h>`

List of all members.

## Public Methods
| vtkOpenGLStateCache ()
| ~vtkOpenGLStateCache ()
void | Initialize ()
void | glEnable (GLenum e)
void | glDisable (GLenum e)
void | glAlphaFunc (GLenum e, GLclampf cf)
void | glBlendFunc (GLenum e, GLenum e1)
void | glDepthFunc (GLenum e)
void | glTexEnvf (GLenum e, GLenum e1, GLfloat f)
void | glLightModeli (GLenum e, GLint i)
void | glLightModelfv (GLenum e, GLfloat *fv)
void | glLightfv (GLenum light, GLenum pname, const GLfloat *params)
void | glLightf (GLenum light, GLenum pname, GLfloat f)
void | glLighti (GLenum light, GLenum pname, GLint f)
void | glMaterialfv (GLenum face, GLenum pname, const GLfloat *params)
void | glShadeModel (GLenum e)
void | glClearColor (GLclampf r, GLclampf g, GLclampf b, GLclampf a)
void | glClearDepth (GLclampd d)
void | glDepthMask (GLenum e)
void | glCullFace (GLenum e)
void | glClear (GLbitfield b)
void | glDrawBuffer (GLenum e)
void | glMatrixMode (GLenum e)
void | glViewport (GLint llx, GLint lly, GLint u, GLint v)
void | glScissor (GLint llx, GLint lly, GLint u, GLint v)
void | glClipPlane (GLenum e, const GLdouble *eqn)
void | glColorMaterial (GLenum face, GLenum mode)
void | glPointSize (GLfloat f)
void | glLineWidth (GLfloat f)
void | glLineStipple (GLint factor, GLushort pattern)
void | glDepthRange (GLclampd nearval, GLclampd farval)
## Public Attributes
char | Enable_buckets [0xDE1-0xB10+1]
char | Enable_GL_LIGHT_buckets [8]
char | Enable_GL_CLIP_PLANE_buckets [8]
GLclampf | AlphaFunc_bucket
GLenum | BlendFunc_bucket
GLenum | DepthFunc_bucket
GLfloat | TexEnvf_MODE_bucket
GLint | LightModeli_LIGHT_MODEL_TWO_SIDE_bucket
GLfloat | LightModelfv_LIGHT_MODEL_AMBIENT_bucket [3]
GLfloat | Lightfv_buckets [8 *4 *8]
GLfloat | Lightf_buckets [8 *8]
GLint | Lighti_SPOT_CUTOFF_buckets [8]
GLfloat | Materialfv_buckets [8 *8 *4]
GLenum | ShadeModel_bucket
GLclampf | ClearColor_buckets [4]
GLclampd | ClearDepth_bucket
GLclampf | DepthMask_bucket
GLenum | CullFace_bucket
GLenum | DrawBuffer_bucket
GLenum | MatrixMode_bucket
GLint | Viewport_bucket [4]
GLint | Scissor_bucket [4]
GLdouble | ClipPlane_bucket [4 *GL_MAX_CLIP_PLANES]
GLenum | ColorMaterial_bucket [8]
GLfloat | PointSize_bucket
GLfloat | LineWidth_bucket
GLint | LineStipple_FACTOR_bucket
GLushort | LineStipple_PATTERN_bucket
GLclampd | DepthRange_NEAR_bucket
GLclampd | DepthRange_FAR_bucket
## Static Public Attributes
vtkOpenGLStateCache * | CurrentGLCache

## Constructor & Destructor Documentation

vtkOpenGLStateCache::vtkOpenGLStateCache | ( |  | ) |

vtkOpenGLStateCache::~vtkOpenGLStateCache | ( |  | ) |

## Member Function Documentation

void vtkOpenGLStateCache::Initialize | ( |  | ) |

void vtkOpenGLStateCache::glEnable | ( | GLenum | e | ) | `[inline]`

| Definition at line 133 of file vtkOpenGLStateCache.h. References Enable_buckets, Enable_GL_CLIP_PLANE_buckets, and Enable_GL_LIGHT_buckets.

void vtkOpenGLStateCache::glDisable | ( | GLenum | e | ) | `[inline]`

| Definition at line 168 of file vtkOpenGLStateCache.h. References Enable_buckets, Enable_GL_CLIP_PLANE_buckets, and Enable_GL_LIGHT_buckets.

void vtkOpenGLStateCache::glAlphaFunc | ( | GLenum | e,
|  | GLclampf | cf
| ) | `[inline]`

| Definition at line 206 of file vtkOpenGLStateCache.h. References AlphaFunc_bucket.

void vtkOpenGLStateCache::glBlendFunc | ( | GLenum | e,
|  | GLenum | e1
| ) | `[inline]`

| Definition at line 217 of file vtkOpenGLStateCache.h. References BlendFunc_bucket.

void vtkOpenGLStateCache::glDepthFunc | ( | GLenum | e | ) | `[inline]`

| Definition at line 230 of file vtkOpenGLStateCache.h. References DepthFunc_bucket.

void vtkOpenGLStateCache::glTexEnvf | ( | GLenum | e,
|  | GLenum | e1,
|  | GLfloat | f
| ) | `[inline]`

| Definition at line 241 of file vtkOpenGLStateCache.h. References TexEnvf_MODE_bucket.

void vtkOpenGLStateCache::glLightModeli | ( | GLenum | e,
|  | GLint | i
| ) | `[inline]`

| Definition at line 256 of file vtkOpenGLStateCache.h. References LightModeli_LIGHT_MODEL_TWO_SIDE_bucket.

void vtkOpenGLStateCache::glLightModelfv | ( | GLenum | e,
|  | GLfloat * | fv
| ) | `[inline]`

| Definition at line 267 of file vtkOpenGLStateCache.h. References LightModelfv_LIGHT_MODEL_AMBIENT_bucket.

void vtkOpenGLStateCache::glLightfv | ( | GLenum | light,
|  | GLenum | pname,
|  | const GLfloat * | params
| ) | `[inline]`

| Definition at line 287 of file vtkOpenGLStateCache.h. References Lightfv_buckets.

void vtkOpenGLStateCache::glLightf | ( | GLenum | light,
|  | GLenum | pname,
|  | GLfloat | f
| ) | `[inline]`

| Definition at line 312 of file vtkOpenGLStateCache.h. References Lightf_buckets, and Lighti_SPOT_CUTOFF_buckets.

void vtkOpenGLStateCache::glLighti | ( | GLenum | light,
|  | GLenum | pname,
|  | GLint | f
| ) | `[inline]`

| Definition at line 327 of file vtkOpenGLStateCache.h. References Lightf_buckets, and Lighti_SPOT_CUTOFF_buckets.

void vtkOpenGLStateCache::glMaterialfv | ( | GLenum | face,
|  | GLenum | pname,
|  | const GLfloat * | params
| ) | `[inline]`

| Definition at line 349 of file vtkOpenGLStateCache.h. References Materialfv_buckets.

void vtkOpenGLStateCache::glShadeModel | ( | GLenum | e | ) | `[inline]`

| Definition at line 390 of file vtkOpenGLStateCache.h. References ShadeModel_bucket.

void vtkOpenGLStateCache::glClearColor | ( | GLclampf | r,
|  | GLclampf | g,
|  | GLclampf | b,
|  | GLclampf | a
| ) | `[inline]`

| Definition at line 400 of file vtkOpenGLStateCache.h. References ClearColor_buckets.

void vtkOpenGLStateCache::glClearDepth | ( | GLclampd | d | ) | `[inline]`

| Definition at line 417 of file vtkOpenGLStateCache.h. References ClearDepth_bucket.

void vtkOpenGLStateCache::glDepthMask | ( | GLenum | e | ) | `[inline]`

| Definition at line 427 of file vtkOpenGLStateCache.h. References DepthMask_bucket.

void vtkOpenGLStateCache::glCullFace | ( | GLenum | e | ) | `[inline]`

| Definition at line 439 of file vtkOpenGLStateCache.h. References CullFace_bucket.

void vtkOpenGLStateCache::glClear | ( | GLbitfield | b | ) | `[inline]`

| Definition at line 449 of file vtkOpenGLStateCache.h.

void vtkOpenGLStateCache::glDrawBuffer | ( | GLenum | e | ) | `[inline]`

| Definition at line 455 of file vtkOpenGLStateCache.h. References DrawBuffer_bucket.

void vtkOpenGLStateCache::glMatrixMode | ( | GLenum | e | ) | `[inline]`

| Definition at line 465 of file vtkOpenGLStateCache.h. References MatrixMode_bucket.

void vtkOpenGLStateCache::glViewport | ( | GLint | llx,
|  | GLint | lly,
|  | GLint | u,
|  | GLint | v
| ) | `[inline]`

| Definition at line 473 of file vtkOpenGLStateCache.h. References Viewport_bucket.

void vtkOpenGLStateCache::glScissor | ( | GLint | llx,
|  | GLint | lly,
|  | GLint | u,
|  | GLint | v
| ) | `[inline]`

| Definition at line 488 of file vtkOpenGLStateCache.h. References Scissor_bucket.

void vtkOpenGLStateCache::glClipPlane | ( | GLenum | e,
|  | const GLdouble * | eqn
| ) | `[inline]`

| Definition at line 505 of file vtkOpenGLStateCache.h. References ClipPlane_bucket.

void vtkOpenGLStateCache::glColorMaterial | ( | GLenum | face,
|  | GLenum | mode
| ) | `[inline]`

| Definition at line 524 of file vtkOpenGLStateCache.h. References ColorMaterial_bucket.

void vtkOpenGLStateCache::glPointSize | ( | GLfloat | f | ) | `[inline]`

| Definition at line 532 of file vtkOpenGLStateCache.h. References PointSize_bucket.

void vtkOpenGLStateCache::glLineWidth | ( | GLfloat | f | ) | `[inline]`

| Definition at line 539 of file vtkOpenGLStateCache.h. References LineWidth_bucket.

void vtkOpenGLStateCache::glLineStipple | ( | GLint | factor,
|  | GLushort | pattern
| ) | `[inline]`

| Definition at line 547 of file vtkOpenGLStateCache.h. References LineStipple_FACTOR_bucket, and LineStipple_PATTERN_bucket.

void vtkOpenGLStateCache::glDepthRange | ( | GLclampd | nearval,
|  | GLclampd | farval
| ) | `[inline]`

| Definition at line 560 of file vtkOpenGLStateCache.h. References DepthRange_FAR_bucket, and DepthRange_NEAR_bucket.

## Member Data Documentation

vtkOpenGLStateCache* vtkOpenGLStateCache::CurrentGLCache`[static]`

| Definition at line 103 of file vtkOpenGLStateCache.h.

char vtkOpenGLStateCache::Enable_buckets[0xDE1-0xB10+1]

| Definition at line 125 of file vtkOpenGLStateCache.h. Referenced by glDisable(), and glEnable().

char vtkOpenGLStateCache::Enable_GL_LIGHT_buckets[8]

| Definition at line 126 of file vtkOpenGLStateCache.h. Referenced by glDisable(), and glEnable().

char vtkOpenGLStateCache::Enable_GL_CLIP_PLANE_buckets[8]

| Definition at line 127 of file vtkOpenGLStateCache.h. Referenced by glDisable(), and glEnable().

GLclampf vtkOpenGLStateCache::AlphaFunc_bucket

| Definition at line 205 of file vtkOpenGLStateCache.h. Referenced by glAlphaFunc().

GLenum vtkOpenGLStateCache::BlendFunc_bucket

| Definition at line 216 of file vtkOpenGLStateCache.h. Referenced by glBlendFunc().

GLenum vtkOpenGLStateCache::DepthFunc_bucket

| Definition at line 229 of file vtkOpenGLStateCache.h. Referenced by glDepthFunc().

GLfloat vtkOpenGLStateCache::TexEnvf_MODE_bucket

| Definition at line 240 of file vtkOpenGLStateCache.h. Referenced by glTexEnvf().

GLint vtkOpenGLStateCache::LightModeli_LIGHT_MODEL_TWO_SIDE_bucket

| Definition at line 255 of file vtkOpenGLStateCache.h. Referenced by glLightModeli().

GLfloat vtkOpenGLStateCache::LightModelfv_LIGHT_MODEL_AMBIENT_bucket[3]

| Definition at line 266 of file vtkOpenGLStateCache.h. Referenced by glLightModelfv().

GLfloat vtkOpenGLStateCache::Lightfv_buckets[8*4*8]

| Definition at line 286 of file vtkOpenGLStateCache.h. Referenced by glLightfv().

GLfloat vtkOpenGLStateCache::Lightf_buckets[8*8]

| Definition at line 310 of file vtkOpenGLStateCache.h. Referenced by glLightf(), and glLighti().

GLint vtkOpenGLStateCache::Lighti_SPOT_CUTOFF_buckets[8]

| Definition at line 311 of file vtkOpenGLStateCache.h. Referenced by glLightf(), and glLighti().

GLfloat vtkOpenGLStateCache::Materialfv_buckets[8*8*4]

| Definition at line 348 of file vtkOpenGLStateCache.h. Referenced by glMaterialfv().

GLenum vtkOpenGLStateCache::ShadeModel_bucket

| Definition at line 389 of file vtkOpenGLStateCache.h. Referenced by glShadeModel().

GLclampf vtkOpenGLStateCache::ClearColor_buckets[4]

| Definition at line 399 of file vtkOpenGLStateCache.h. Referenced by glClearColor().

GLclampd vtkOpenGLStateCache::ClearDepth_bucket

| Definition at line 416 of file vtkOpenGLStateCache.h. Referenced by glClearDepth().

GLclampf vtkOpenGLStateCache::DepthMask_bucket

| Definition at line 426 of file vtkOpenGLStateCache.h. Referenced by glDepthMask().

GLenum vtkOpenGLStateCache::CullFace_bucket

| Definition at line 438 of file vtkOpenGLStateCache.h. Referenced by glCullFace().

GLenum vtkOpenGLStateCache::DrawBuffer_bucket

| Definition at line 454 of file vtkOpenGLStateCache.h. Referenced by glDrawBuffer().

GLenum vtkOpenGLStateCache::MatrixMode_bucket

| Definition at line 464 of file vtkOpenGLStateCache.h. Referenced by glMatrixMode().

GLint vtkOpenGLStateCache::Viewport_bucket[4]

| Definition at line 472 of file vtkOpenGLStateCache.h. Referenced by glViewport().

GLint vtkOpenGLStateCache::Scissor_bucket[4]

| Definition at line 487 of file vtkOpenGLStateCache.h. Referenced by glScissor().

GLdouble vtkOpenGLStateCache::ClipPlane_bucket[4*GL_MAX_CLIP_PLANES]

| Definition at line 504 of file vtkOpenGLStateCache.h. Referenced by glClipPlane().

GLenum vtkOpenGLStateCache::ColorMaterial_bucket[8]

| Definition at line 523 of file vtkOpenGLStateCache.h. Referenced by glColorMaterial().

GLfloat vtkOpenGLStateCache::PointSize_bucket

| Definition at line 531 of file vtkOpenGLStateCache.h. Referenced by glPointSize().

GLfloat vtkOpenGLStateCache::LineWidth_bucket

| Definition at line 538 of file vtkOpenGLStateCache.h. Referenced by glLineWidth().

GLint vtkOpenGLStateCache::LineStipple_FACTOR_bucket

| Definition at line 545 of file vtkOpenGLStateCache.h. Referenced by glLineStipple().

GLushort vtkOpenGLStateCache::LineStipple_PATTERN_bucket

| Definition at line 546 of file vtkOpenGLStateCache.h. Referenced by glLineStipple().

GLclampd vtkOpenGLStateCache::DepthRange_NEAR_bucket

| Definition at line 558 of file vtkOpenGLStateCache.h. Referenced by glDepthRange().

GLclampd vtkOpenGLStateCache::DepthRange_FAR_bucket

| Definition at line 559 of file vtkOpenGLStateCache.h. Referenced by glDepthRange().

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLStateCache.h